group "PartyInformation.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 6 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
classification*, creditRating*, country?, region*, jurisdiction*, organizationType?

Content Model Elements (6):

  classification, country (defined in PartyInformation.model group), creditRating, | jurisdiction, organizationType, region

Known Usage Locations

- In definitions of global complexTypes (1):
  Party

Annotation
Information about a party for reporting purposes.
XML Source (w/o annotations (7); see within schema source)

<xsd:group name="PartyInformation.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="classification" type="IndustryClassification"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditRating" type="CreditRating"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="region" type="Region"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="jurisdiction" type="GoverningLaw"/> <xsd:element minOccurs="0" name="organizationType" type="OrganizationType"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
classification

  Type: | IndustryClassification, simple content

  The party's industry sector classification.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="classification" type="IndustryClassification"/>

country

  Type: | CountryCode, simple content

  The country where the party is domiciled.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

creditRating

  Type: | CreditRating, simple content

  The party's credit rating.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditRating" type="CreditRating"/>

jurisdiction

  Type: | GoverningLaw, simple content

  The legal jurisdiction of the entity's registration.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="jurisdiction" type="GoverningLaw"/>

organizationType

  Type: | OrganizationType, simple content

  The type of an organization's participantion in the OTC derivatives market.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="organizationType" type="OrganizationType"/>

region

  Type: | Region, simple content

  A code for a grouping of countries to which this belongs.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="region" type="Region"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.